<mat-card class="simple-view-card my-5">
  <mat-card-header>
    <img *ngIf="avatarUrl; else loading" mat-card-avatar [src]="avatarUrl" />
    <mat-card-title>{{ title }}</mat-card-title>
    <mat-card-subtitle> {{ subtitle }} </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content *ngIf="content">
    <p>{{ content }}</p>
  </mat-card-content>
  <mat-card-actions>
    <ng-container *ngIf="isForStudySet">
      <button mat-raised-button color="primary" [routerLink]="studySetId">
        Study Set Details
      </button>
    </ng-container>
    <ng-container *ngIf="isForSearch">
      <button mat-raised-button color="primary" (click)="openPreviewDialog()">
        Preview Cards
      </button>
    </ng-container>
    <button *ngIf="isForFolder" mat-button color="primary" (click)="openFolderEditDialog()">
      Edit Folder
    </button>    
  </mat-card-actions>
</mat-card>
<ng-template #loading>
  <mat-spinner diameter="50"></mat-spinner>
</ng-template>
